Bug 102464 - [SNB] piglit.spec.arb_texture_gather.texturegather fails
Summary: [SNB] piglit.spec.arb_texture_gather.texturegather fails
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-28 21:08 UTC by Mark Janes
Modified: 2019-09-25 19:03 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2017-08-28 21:08:56 UTC
the following piglit commit regressed several tests on SNB only:

a76e2db38179a7923745b4f9b15fd94198e8cfab
Author:     Neha Bhende <bhenden@vmware.com>

textureGather: correct expected result for GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB = 1

Expected results were with respect to
GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB = 4.  This patch fixes
it for GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB = 1 as well.

Reviewed-by: Brian Paul <brianp@vmware.com>


About 100 tests regressed, eg:
--------------------------------------------------------------------
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-int-2d

Standard Output

/tmp/build_root/m64/lib/piglit/bin/textureGather fs offset r one int 2D -auto -fbo
piglit: debug: Requested an OpenGL 3.1 Forward-Compatible Core Context, and received a matching 3.3 context

Probe color at (1,1)
  Expected: 1.000000 0.000000 0.000000 0.000000
  Observed: 1.000000 1.000000 1.000000 1.000000
Probe color at (2,1)
  Expected: 1.000000 0.000000 0.000000 0.000000
  Observed: 1.000000 1.000000 1.000000 1.000000
Probe color at (3,1)
  Expected: 1.000000 0.000000 0.000000 0.000000
  Observed: 1.000000 1.000000 1.000000 1.000000
--------------------------------------------------------------------

Since this test passes other platforms, it may be an SNB-specific mesa bug.
Comment 1 Kenneth Graunke 2017-08-29 04:02:22 UTC
This being Sandybridge specific is unsurprising - that's the only platform that has GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS == 1.  All others are 4.
Comment 2 GitLab Migration User 2019-09-25 19:03:48 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1622.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.